#include <bits/stdc++.h>
using namespace std;

int brojvagi(int *dg,int *gg,int l,int r,int x)
{
    int bv=0;
    for(int i=l-1;i<r;i++)
    {
        if(x>=dg[i] and x<=gg[i])
            bv++;
    }

    return bv;
}

int main()
{
    int n,m;
    int gg[20001],dg[20001];
    int l,r,x;
    cin>>n>>m;
    for(int i=0;i<n;i++)
    {
        cin>>dg[i]>>gg[i];
    }
    for(int i=0;i<m;i++)
    {
        cin>>l>>r>>x;
        cout<<brojvagi(dg,gg,l,r,x)<<endl;
    }


    return 0;
}